petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNGSFunction

function used to convey a Gauss-Seidel sweep on the nonlinear function

### Synopsis

    #include <petscsnes.h>
    $    SNESNGSFunction(SNES snes,Vec x,Vec b,void *ctx);

| X | - solution vector Many br
| B | - RHS vector Many br
| ctx | - optional user-defined Gauss-Seidel context Many br

Many br

### See Also

SNESSetNGS(), SNESGetNGS()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages